Deactivate a payment instrument

DELETE/v0.1/customers/{customer_id}/payment-instruments/{token}

Deactivates an identified card payment instrument resource for a customer.

OAuth scopes: Requires one of: payment_instruments, customers.write.

Authorization

Use one of the following alternatives:

  • apiKey
  • oauth2 with scopes payment_instruments
  • oauth2 with scopes customers.write
Authorization guide

Path parameters

  • customer_idstringrequired

    The customer_id you supplied when creating the customer.

    Example: "831ff8d4cd5958ab5670"

  • tokenstringrequired

    Unique token identifying the card saved as a payment instrument resource.

    Example: "bcfc8e5f-3b47-4cb9-854b-3b7a4cce7be3"

Responses

204

Returns an empty response body when the operation succeeds.

    Returns an empty response.

    400application/json

    The request is invalid.

    • messagestring

      Short description of the error.

      Example: "Resource not found"

    • Platform code for the error.

      Example: "NOT_FOUND"

    401application/json

    The request is not authorized.

    • typestringrequired
      format: uri

      A URI reference that identifies the problem type.

      Example: "https://developer.sumup.com/problem/not-found"

    • titlestring

      A short, human-readable summary of the problem type.

      Example: "Requested resource couldn't be found."

    • statusinteger

      The HTTP status code generated by the origin server for this occurrence of the problem.

      Example: 404

    • detailstring

      A human-readable explanation specific to this occurrence of the problem.

      Example: "The requested resource doesn't exist or does not belong to you."

    • instancestring
      format: uri

      A URI reference that identifies the specific occurrence of the problem.

    403application/json

    The request is authenticated but not permitted for this operation.

    • Short description of the error.

      Example: "request_not_allowed"

    • Platform code for the error.

      Example: "FORBIDDEN"

    • HTTP status code for the error.

      Example: "403"

    404application/json

    The requested resource does not exist.

    • messagestring

      Short description of the error.

      Example: "Resource not found"

    • Platform code for the error.

      Example: "NOT_FOUND"

    Type to search…